Page MenuHomePhabricator

Usage Tracking: change dispatcher should use the wb_changes_subscription table
Closed, ResolvedPublic

Description

Currently, the change dispatcher uses sitelinks (wb_items_per_site). With arbitrary item access, this is no longer sufficient. The wb_changes_subscription table has the relevant information now.


Version: unspecified
Severity: normal
Whiteboard: u=dev c=backend p=5

Details

Reference
bz64590

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64590.
bzimport added a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).Dec 1 2014, 2:33 PM
daniel renamed this task from Usage Tracking: dispatcher needs to figure out which clients to send a change to to Usage Tracking: change dispatcher should use the wb_changes_subscription table.Feb 25 2015, 12:32 PM
daniel updated the task description. (Show Details)

Note that this needs quite a bit of refactoring first.

I will not get around to this, push to next sprint.

Change 202386 had a related patch set uploaded (by Daniel Kinzler):
Hook up subscription lookup based on settings.

https://gerrit.wikimedia.org/r/202386

Change 202372 had a related patch set uploaded (by Daniel Kinzler):
Introduce SqlSubscriptionLookup

https://gerrit.wikimedia.org/r/202372

Change 202372 merged by jenkins-bot:
Introduce SqlSubscriptionLookup

https://gerrit.wikimedia.org/r/202372

daniel closed this task as Resolved.Apr 10 2015, 9:47 AM
hoo moved this task from Review to Done on the Wikidata-Sprint-2015-04-07 board.Apr 10 2015, 1:11 PM

Change 202386 merged by jenkins-bot:
Hook up subscription lookup based on settings.

https://gerrit.wikimedia.org/r/202386